import { Component } from '@angular/core';

@Component({
  selector: 'svg-nav-dashboard',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      enable-background="new 0 0 512 512"
      height="512"
      viewBox="0 0 512 512"
      width="512"
    >
      <g>
        <g>
          <path
            d="m502 512h-61.709c-5.523 0-10-4.477-10-10v-61.709c0-5.523 4.477-10 10-10h61.709c5.523 0 10 4.477 10 10v61.709c0 5.523-4.477 10-10 10zm-51.709-20h41.709v-41.709h-41.709z"
          />
        </g>
        <g>
          <path
            d="m502 0h-61.709c-5.523 0-10 4.477-10 10v20.84h-348.61v-20.84c0-5.523-4.477-10-10-10h-61.681c-5.523 0-10 4.477-10 10v61.681c0 5.523 4.477 10 10 10h20.84v348.61h-20.84c-5.523 0-10 4.477-10 10v61.709c0 5.523 4.477 10 10 10h61.681c5.523 0 10-4.477 10-10v-20.869h358.61c5.523 0 10-4.477 10-10s-4.477-10-10-10h-358.61v-20.84c0-5.523-4.477-10-10-10h-20.841v-348.61h20.84c5.523 0 10-4.477 10-10v-20.841h348.61v20.84c0 5.523 4.477 10 10 10h20.84v358.61c0 5.523 4.477 10 10 10s10-4.477 10-10v-358.609h20.87c5.523 0 10-4.477 10-10v-61.681c0-5.523-4.477-10-10-10zm-440.319 492h-41.681v-41.709h41.681zm0-430.319h-41.681v-41.681h41.681zm430.319 0h-41.709v-41.681h41.709z"
          />
          <path
            d="m91.954 410.046c0 5.523 4.477 10 10 10h94.59c5.523 0 10-4.477 10-10v-308.092c0-5.523-4.477-10-10-10h-94.59c-5.523 0-10 4.477-10 10v109.132c0 5.523 4.477 10 10 10s10-4.477 10-10v-99.132h74.59v288.092h-74.59v-99.16c0-5.523-4.477-10-10-10s-10 4.477-10 10z"
          />
          <path
            d="m420.046 101.954c0-5.523-4.477-10-10-10h-163.499c-5.523 0-10 4.477-10 10v110.634c0 5.523 4.477 10 10 10h163.499c5.523 0 10-4.477 10-10zm-20 100.634h-143.499v-90.634h143.499z"
          />
          <path
            d="m420.046 260.72c0-5.523-4.477-10-10-10h-163.499c-5.523 0-10 4.477-10 10v50.597c0 5.523 4.477 10 10 10h163.499c5.523 0 10-4.477 10-10zm-20 40.597h-143.499v-30.597h143.499z"
          />
          <path
            d="m410.046 349.448h-163.499c-5.523 0-10 4.477-10 10v50.598c0 5.523 4.477 10 10 10h163.499c5.523 0 10-4.477 10-10v-50.598c0-5.523-4.477-10-10-10zm-10 50.598h-143.499v-30.598h143.499z"
          />
          <path
            d="m101.954 266.014c5.523 0 10-4.505 10-10.028s-4.477-10-10-10-10 4.477-10 10v.057c0 5.522 4.477 9.971 10 9.971z"
          />
        </g>
      </g>
    </svg>
  `,
})
export class SvgNavDashboardComponent {}
